pyFAI package
=============

:mod:`pyFAI` Package
--------------------

.. automodule:: pyFAI.__init__
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`azimuthalIntegrator` Module
---------------------------------

.. automodule:: pyFAI.azimuthalIntegrator
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`geometry` Module
----------------------

.. automodule:: pyFAI.geometry
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`average` Module
---------------------

.. automodule:: pyFAI.average
    :members:
    :undoc-members:
    :show-inheritance:


:mod:`multi_geometry` Module
----------------------------

.. automodule:: pyFAI.multi_geometry
    :members:
    :undoc-members:
    :show-inheritance:


:mod:`geometryRefinement` Module
--------------------------------

.. automodule:: pyFAI.geometryRefinement
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`goniometer` Module
------------------------

.. automodule:: pyFAI.goniometer
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`spline` Module
--------------------

.. automodule:: pyFAI.spline
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`control_points` Module
----------------------------

.. automodule:: pyFAI.control_points
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`massif` Module
--------------------

.. automodule:: pyFAI.massif
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`blob_detection` Module
----------------------------

.. automodule:: pyFAI.blob_detection
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`calibrant` Module
-----------------------

.. automodule:: pyFAI.calibrant
    :members:
    :undoc-members:
    :show-inheritance:


:mod:`distortion` Module
------------------------

.. automodule:: pyFAI.distortion
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`units` Module
--------------------

.. automodule:: pyFAI.units
    :members:
    :undoc-members:
    :show-inheritance:


:mod:`worker` Module
--------------------

.. automodule:: pyFAI.worker
    :members:
    :undoc-members:
    :show-inheritance:

Other sub-packages:
-------------------

.. toctree::

    app/index
    detectors/index
    engines/index
    ext/index
    gui/index
    io/index
    opencl/index
    resources/index
    utils/index
    


